Bug 13460 - Use price template toolkit plugin across all of intranet
Summary: Use price template toolkit plugin across all of intranet
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-14 21:21 UTC by Robin Sheat
Modified: 2016-06-21 21:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
suggested patch - adds price plugin to suggestion.tt (1.37 KB, patch)
2014-12-14 22:09 UTC, Alexander Cheeseman
Details | Diff | Splinter Review
bug 13460: suggestion.tt now uses Price plugin (1.67 KB, patch)
2014-12-14 23:07 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] bug 13460: suggestion.tt now uses Price plugin (1.76 KB, patch)
2014-12-15 06:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2014-12-14 21:21:13 UTC
not all price displays in the intranet use the price template toolkit plugin, and they should.
Comment 1 Alexander Cheeseman 2014-12-14 22:09:43 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-12-14 23:07:19 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-12-15 06:08:40 UTC
Created attachment 34390 [details] [review]
[PASSED QA] bug 13460: suggestion.tt now uses Price plugin

To test:

1/ Add a new suggestion, put some values for the price
2/ View the suggestion in the staff interface
2/ Switch the currency format
3/ Notice the format of the price does not change
4/ Apply patch
5/ Notice now the syspref is respected

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, thx!
Comment 4 Tomás Cohen Arazi 2014-12-17 23:23:05 UTC
Patch pushed to master.

Thanks Alexander!
Comment 5 Chris Cormack 2014-12-18 01:26:38 UTC
Pushed to 3.18.x will be in 3.18.2